#!/bin/bash

echo "...Post-update.sh started..."

echo "Post-update: Remounting read-write"
mount -no remount,rw /boot
mount -no remount,rw /home
mount -no remount,rw /

echo "Changing /etc configuration"
echo "AUTO -all" > /etc/mdadm.conf

echo "Installing rpm packages..."
rpm -i /home/atola/server/exfat-utils-1.3.0-1.el7.x86_64.rpm
rpm -i /home/atola/server/gdisk-0.8.10-2.el7.x86_64.rpm

rpm -i /home/atola/server/pytalloc-2.1.9-1.el7.x86_64.rpm
rpm -i /home/atola/server/samba-libs-4.6.2-12.el7_4.x86_64.rpm
rpm -i /home/atola/server/samba-common-tools-4.6.2-12.el7_4.x86_64.rpm
rpm -i /home/atola/server/samba-winbind-modules-4.6.2-12.el7_4.x86_64.rpm
rpm -i /home/atola/server/samba-winbind-4.6.2-12.el7_4.x86_64.rpm
rpm -i /home/atola/server/libaio-0.3.109-13.el7.x86_64.rpm
rpm -i /home/atola/server/samba-4.6.2-12.el7_4.x86_64.rpm

echo "Post-update: Remounting read-only"
mount -no remount,ro /boot
mount -no remount,ro /home
mount -no remount,ro /
echo "...Post-update.sh finished..."



